@mixin font-smoot() {
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

@mixin main-font-style {
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  color: $main-font-color;
  font-size: $main-font-size;
  font-family: $main-font-name;
  @include font-smoot();
}

@mixin font-icon() {
  font-family: $main-font-icon-name;
  @include icon-style();
}

@mixin icon-style() {
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  color: $main-font-icon-color;
  @include font-smoot();
}

@function cal-em($pixels, $context: $browser-context) {
  @if (unitless($pixels)) {
    $pixels: $pixels * 1px;
  }
  @if (unitless($context)) {
    $context: $context * 1px;
  }
  @return $pixels / $context * 1em;
}

@function cal-rem($pixels, $context: $browser-context) {
  @if (unitless($pixels)) {
    $pixels: $pixels * 1px;
  }
  @if (unitless($context)) {
    $context: $context * 1px;
  }
  @return $pixels / $context * 1rem;
}
